------------------------------------------------------------------------------------
--Name：            210129[简体征服][活动脚本]全球白色情人节活动——副本1+2
--Creator:      林嘉鑫
--Created:     2021-01-29
------------------------------------------------------------------------------------
-- /callluafunc </F>User_PlayPlot</N>120
-- /chgmap 11137 248 241

CppScriptMgr:SetViewPosByCell(273,376);
CppScriptMgr:SetViewScale(256);
local playerNpcNew = CppScriptMgr:AddSimplePlayer(1053446, 204,372, "King of Lilliput", 4003000021,1)
playerNpcNew:SetZoomPercent(40)
local GuideNpcNew1 = CppScriptMgr:AddSimplePlayer(35216, 278,387, "Soldier", 4003000022,1)
GuideNpcNew1:SetDir(6);
GuideNpcNew1:SetZoomPercent(40)
local GuideNpcNew2 = CppScriptMgr:AddSimplePlayer(35216, 278,384, "Soldier", 4003000023,1)
GuideNpcNew2:SetDir(6);
GuideNpcNew2:SetZoomPercent(40)
local GuideNpcNew3 = CppScriptMgr:AddSimplePlayer(35216, 279,373, "Soldier", 4003000024,1)
GuideNpcNew3:SetDir(6);
GuideNpcNew3:SetZoomPercent(40)
local GuideNpcNew4 = CppScriptMgr:AddSimplePlayer(35216, 279,370, "Soldier", 4003000025,1)
GuideNpcNew4:SetDir(6);
GuideNpcNew4:SetZoomPercent(40)

local NpcNew1 = CppScriptMgr:AddSimplePlayer(35260, 247,373, "Minister", 4003000026,1)
NpcNew1:SetDir(0);
NpcNew1:SetZoomPercent(40)
local NpcNew2 = CppScriptMgr:AddSimplePlayer(35264, 247,380, "Minister", 4003000027,1)
NpcNew2:SetDir(4);
NpcNew2:SetZoomPercent(40)

local NpcNew3 = CppScriptMgr:AddSimplePlayer(35262, 210,370, "Minister", 4003000028,1)
NpcNew3:SetDir(2);
NpcNew3:SetZoomPercent(40)
local NpcNew4 = CppScriptMgr:AddSimplePlayer(35262, 210,374, "Minister", 4003000029,1)
NpcNew4:SetDir(2);
NpcNew4:SetZoomPercent(40)

CppScriptMgr:SetLightScreen(2000);
CppScriptMgr:WaitMilSec(1000);

local effectObj = CppScriptMgr:AddEffect("addexp01", 287, 378);
CppScriptMgr:WaitMilSec(700);
local hero = CppScriptMgr:QueryHero()
hero:SetPos(287, 378)
hero:SetDir(2)
CppScriptMgr:WaitMilSec(2300);

GuideNpcNew1:Say("Our king is grumpy lately. I don`t even dare to speak up.", 2000)
CppScriptMgr:WaitMilSec(2500);
GuideNpcNew4:Say("It`s Gulliver`s fault.", 2000)
CppScriptMgr:WaitMilSec(2500);
GuideNpcNew2:Say("If I caught him, I would hit hard on his knees!", 2000)
CppScriptMgr:WaitMilSec(2500);
GuideNpcNew3:Say("Count me in!", 2000)
CppScriptMgr:WaitMilSec(2500);


for i = 1,415 do
	NpcNew1:Say("Have you heard that? About that Gulliver?", 200)
	NpcNew2:Say("Shh. The king is in the heat of the moment.", 200)
	if math.fmod(i,5) == 0 then
		CppScriptMgr:SetViewOffset(-5,-2)
	else
		CppScriptMgr:SetViewOffset(-5,-3)
	end
	CppScriptMgr:WaitMilSec(15);
end
CppScriptMgr:WaitMilSec(1000);
playerNpcNew:SetAction(160);
playerNpcNew:Say("Can`t you find just a man?#09", 2000)
CppScriptMgr:WaitMilSec(2500);
NpcNew3:Say("Your Majesty, please give me some more time! I will catch him!", 2000)
CppScriptMgr:WaitMilSec(1000);
NpcNew4:Say("Be merciful, your Majesty!", 2000)
CppScriptMgr:WaitMilSec(2500);
